<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'AnalystsContacts',
  components: {},
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <SlpContainer class="next-steps">
    <SlpRow>
      <SlpTypography class="title" variant="heading2-bold" tag="h2"
        >{{ data.title }}
      </SlpTypography>
      <span class="horizontal-rule"></span>
      <SlpColumn class="next-steps-container">
        <div
          v-for="card in data.cards"
          :key="card.name"
          class="next-steps-container-columns"
        >
          <div class="card">
            <SlpTypography class="card-name" tag="h4" variant="heading4-bold"
              >{{ card.name }}
            </SlpTypography>
            <SlpTypography class="card-job" tag="h5" variant="heading5">
              {{ card.job }}
            </SlpTypography>
            <span class="card-link">
              <a :href="'mailto: ' + card.email">
                <SlpTypography
                  tag="div"
                  variant="body1"
                  class="second-row--email"
                  ><span class="second-row--email-icon">
                    <SlpIcon
                      name="mail"
                      alt="Email Icon"
                      variant="product"
                      size="med"
                  /></span>
                  <span class="second-row--email-text">{{ card.email }}</span>
                </SlpTypography>
              </a>
              <SlpTypography
                v-if="card.phone"
                tag="div"
                variant="body1"
                class="second-row--phone"
              >
                <span class="second-row--phone-icon">
                  <SlpIcon
                    class="phone-icon"
                    name="phone"
                    alt="Phone Icon"
                    size="sm"
                    variant="marketing"
                  /> </span
                ><span class="second-row--phone-text">{{ card.phone }}</span>
              </SlpTypography>
            </span>
          </div>
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.next-steps {
  .title {
    margin-top: 120px;
    @media screen and (max-width: $breakpoint-sm) {
      font-size: 40px !important;
    }
  }
  .horizontal-rule {
    width: 100%;
    margin: 40px 0;
    border-top: 1px solid $color-surface-300;
  }
  &-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 40px;
    &-columns {
      @media (max-width: $breakpoint-md) {
        width: inherit;
        max-width: 100%;
      }
    }
    @media (max-width: $breakpoint-md) {
      flex-direction: column;
      padding: 0;
      margin-right: 0;
    }
  }

  .card {
    color: $color-text-300;
    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;
    flex-direction: column;
    padding: $spacing-32;
    cursor: pointer;
    border-radius: 24px;
    background-color: $color-surface-800;
    transition: all 0.3s ease-in-out;
    width: 343.33px;
    height: 288px;
    flex: 1;
    position: relative;
    @media screen and (max-width: $breakpoint-md) {
      width: inherit;
      max-width: 100%;
      height: 224px;
    }

    &:hover {
      box-shadow: $shadow-surface-secondary-3;
    }

    .card-link {
      display: flex;
      flex-direction: column;
      color: $color-text-300;
      margin-top: $spacing-32;
      font-weight: 400;
      font-size: 19px;
      line-height: 28px;

      a {
        color: #171321;
        text-decoration: underline;
        text-underline-offset: 4px;
        @media (max-width: $breakpoint-md) {
          text-decoration: none;
        }
      }

      .second-row--email {
        bottom: 60px;
      }
      .second-row--phone {
        bottom: 32px;
      }
      .second-row--email-text {
        text-decoration: underline;
      }
      .second-row--email,
      .second-row--phone {
        display: flex;
        position: absolute;

        margin-bottom: $spacing-8;
        &-icon {
          margin-right: $spacing-8;
        }
        &-text {
          overflow: hidden;
          text-overflow: ellipsis;
          width: inherit;
        }
      }

      @media screen and (max-width: $breakpoint-md) {
        width: inherit;
        max-width: 100%;
      }
    }

    .alliance-icon {
      max-height: 141px;
      max-width: 141px;
      margin-bottom: $spacing-24;
    }
  }
}
</style>
